Bug Hunting Session
Bug 109067 - FILEOPEN PPTX: Gradient or bitmap fills appear rotated
Summary: FILEOPEN PPTX: Gradient or bitmap fills appear rotated
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Paul Trojahn
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-11 15:01 UTC by Paul Trojahn
Modified: 2017-07-18 08:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example presentation (29.43 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-07-11 15:06 UTC, Paul Trojahn
Details
The presentation in LibreOffice (157.32 KB, image/png)
2017-07-11 15:08 UTC, Paul Trojahn
Details
The presentation in PowerPoint (193.28 KB, image/png)
2017-07-11 15:10 UTC, Paul Trojahn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Trojahn 2017-07-11 15:01:18 UTC
Description:
LibreOffice doesn't export gradients and bitmaps to PPTX correctly. If you open a PPTX file made with LibreOffice in Powerpoint all gradients and bitmaps are rotated with the shape. If you open the same file in LibreOffice the rotation is gone.

Steps to Reproduce:
1. Create an shape, set a bitmap or gradient as background and rotate it.
2. Export to pptx.
3. Open the file in Microsoft Office.

Actual Results:  
The gradient or bitmap is rotated with the shape.

Expected Results:
They should not be rotated.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.115 Safari/537.36
Comment 1 Paul Trojahn 2017-07-11 15:06:26 UTC
Created attachment 134590 [details]
Example presentation
Comment 2 Paul Trojahn 2017-07-11 15:08:21 UTC
Created attachment 134591 [details]
The presentation in LibreOffice
Comment 3 Paul Trojahn 2017-07-11 15:10:22 UTC
Created attachment 134592 [details]
The presentation in PowerPoint
Comment 4 Xisco Faulí 2017-07-11 17:29:56 UTC
Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: cb37c5f0f3de7b545231a53d46a5271058af76ad
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-23_06:55:41
Locale: es-ES (es_ES); Calc: group

- Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e


- LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 5 Xisco Faulí 2017-07-12 08:57:37 UTC
patch submitted to gerrit: https://gerrit.libreoffice.org/#/c/39725/
Comment 6 Commit Notification 2017-07-14 06:52:19 UTC
Paul Trojahn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b08f129677c1109aae1fadc72ae68ebb7df7cb0

tdf#109067 Fix default value of rotWithShape

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-07-14 07:13:36 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b7b2887d62ea249310f02f03c4ce31cbd8f21307

Revert "tdf#109067 Fix default value of rotWithShape"

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-07-17 20:10:41 UTC
Paul Trojahn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=30907c0bb7eb8f1f69f5527ed67fab0bba02ceeb

tdf#109067 Fix default value of rotWithShape

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.